package com.robot.remote.smartrobotremote.controller;

import com.robot.remote.smartrobotremote.domain.*;
import com.robot.remote.smartrobotremote.mapper.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
public class DataController {


    @Autowired
    private BizDeviceMapper deviceMapper;

    @Autowired
    private BizWaterWorkMapper waterWorkMapper;

    @Autowired
    private SysAssayItemMapper assayItemMapper;

    @Autowired
    private ZDeviceSampleMapper deviceSampleMapper;

    @Autowired
    private ZQualityValueMapper qualityValueMapper;

    @Autowired
    private ZAssayMapper assayMapper;

    @Autowired
    private ZAssayResultMapper assayResultMapper;

    /**
     * 查询组织【设备信息】列表
     */
    @GetMapping("/bizDeviceList")
    public List<BizDevice> bizDeviceList(BizDevice reqBean)
    {
        return this.deviceMapper.selectBizDeviceList(reqBean);
    }


    /**
     * 查询组织【水厂信息】列表
     */
    @GetMapping("/bizWaterWorkList")
    public List<BizWaterWork> bizWaterWorkList(BizWaterWork reqBean)
    {
        return this.waterWorkMapper.selectBizWaterWorkList(reqBean);
    }

    /**
     * 查询【化验项目】列表
     */
    @GetMapping("/assayItemList")
    public List<SysAssayItem> assayItemList(SysAssayItem reqBean)
    {
        return this.assayItemMapper.selectSysAssayItemList(reqBean);
    }


    /**
     * 查询【取样点位】列表
     */
    @GetMapping("/deviceSampleList")
    public List<ZDeviceSample> deviceSampleList(ZDeviceSample reqBean)
    {
        return this.deviceSampleMapper.selectZDeviceSampleList(reqBean);
    }


    /**
     * 查询【质控样配置】列表
     */
    @GetMapping("/qualityValueList")
    public List<ZQualityValue> qualityValueList(ZQualityValue reqBean)
    {
        return this.qualityValueMapper.selectZQualityValueList(reqBean);
    }


    //--------------------上面的数据需要同步一次即可，下面的需要多次同步--------------------


    /**
     * 查询【化验结果】列表
     */
    @GetMapping("/assayList")
    public List<ZAssay> assayList(ZAssay reqBean)
    {
        return this.assayMapper.selectZAssayList(reqBean);
    }


    /**
     * 查询【化验结果明细】列表
     */
    @GetMapping("/assayResultList")
    public List<ZAssayResult> assayResultList(ZAssayResult reqBean)
    {
        return this.assayResultMapper.selectZAssayResultList(reqBean);
    }


}
