package com.robot.remote.smartrobotremote.mapper;

import java.util.List;
import com.robot.remote.smartrobotremote.domain.BizWaterWork;
import org.apache.ibatis.annotations.Mapper;

/**
 * 部门Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
@Mapper
public interface BizWaterWorkMapper 
{
    /**
     * 查询部门
     * 
     * @param worksId 部门主键
     * @return 部门
     */
    public BizWaterWork selectBizWaterWorkByWorksId(Long worksId);

    /**
     * 查询部门列表
     * 
     * @param bizWaterWork 部门
     * @return 部门集合
     */
    public List<BizWaterWork> selectBizWaterWorkList(BizWaterWork bizWaterWork);

    /**
     * 新增部门
     * 
     * @param bizWaterWork 部门
     * @return 结果
     */
    public int insertBizWaterWork(BizWaterWork bizWaterWork);

    /**
     * 修改部门
     * 
     * @param bizWaterWork 部门
     * @return 结果
     */
    public int updateBizWaterWork(BizWaterWork bizWaterWork);

    /**
     * 删除部门
     * 
     * @param worksId 部门主键
     * @return 结果
     */
    public int deleteBizWaterWorkByWorksId(Long worksId);

    /**
     * 批量删除部门
     * 
     * @param worksIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizWaterWorkByWorksIds(Long[] worksIds);
}
