package com.robot.remote.smartrobotremote.mapper;

import java.util.List;
import com.robot.remote.smartrobotremote.domain.SysAssayItem;
import org.apache.ibatis.annotations.Mapper;

/**
 * 化验项目编号名称对照Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
@Mapper
public interface SysAssayItemMapper 
{
    /**
     * 查询化验项目编号名称对照
     * 
     * @param assayItem 化验项目编号名称对照主键
     * @return 化验项目编号名称对照
     */
    public SysAssayItem selectSysAssayItemByAssayItem(Long assayItem);

    /**
     * 查询化验项目编号名称对照列表
     * 
     * @param sysAssayItem 化验项目编号名称对照
     * @return 化验项目编号名称对照集合
     */
    public List<SysAssayItem> selectSysAssayItemList(SysAssayItem sysAssayItem);

    /**
     * 新增化验项目编号名称对照
     * 
     * @param sysAssayItem 化验项目编号名称对照
     * @return 结果
     */
    public int insertSysAssayItem(SysAssayItem sysAssayItem);

    /**
     * 修改化验项目编号名称对照
     * 
     * @param sysAssayItem 化验项目编号名称对照
     * @return 结果
     */
    public int updateSysAssayItem(SysAssayItem sysAssayItem);

    /**
     * 删除化验项目编号名称对照
     * 
     * @param assayItem 化验项目编号名称对照主键
     * @return 结果
     */
    public int deleteSysAssayItemByAssayItem(Long assayItem);

    /**
     * 批量删除化验项目编号名称对照
     * 
     * @param assayItems 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAssayItemByAssayItems(Long[] assayItems);
}
