package com.robot.remote.smartrobotremote.mapper;

import java.util.List;
import com.robot.remote.smartrobotremote.domain.ZQualityValue;
import org.apache.ibatis.annotations.Mapper;

/**
 * 水厂质控值Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
@Mapper
public interface ZQualityValueMapper 
{
    /**
     * 查询水厂质控值
     * 
     * @param valueId 水厂质控值主键
     * @return 水厂质控值
     */
    public ZQualityValue selectZQualityValueByValueId(Long valueId);

    /**
     * 查询水厂质控值列表
     * 
     * @param zQualityValue 水厂质控值
     * @return 水厂质控值集合
     */
    public List<ZQualityValue> selectZQualityValueList(ZQualityValue zQualityValue);

    /**
     * 新增水厂质控值
     * 
     * @param zQualityValue 水厂质控值
     * @return 结果
     */
    public int insertZQualityValue(ZQualityValue zQualityValue);

    /**
     * 修改水厂质控值
     * 
     * @param zQualityValue 水厂质控值
     * @return 结果
     */
    public int updateZQualityValue(ZQualityValue zQualityValue);

    /**
     * 删除水厂质控值
     * 
     * @param valueId 水厂质控值主键
     * @return 结果
     */
    public int deleteZQualityValueByValueId(Long valueId);

    /**
     * 批量删除水厂质控值
     * 
     * @param valueIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZQualityValueByValueIds(Long[] valueIds);
}
